\section{Task}
\label{sec:task}

Design a controller for a system defined as follows:
\begin{itemize}
\item \label{itm:task-hardware} The hardware of the system consists of a 6dof
manipulator and a two-state gripper. The manipulator is actuated by 6 electric
motors with encoders attached to their rotors. Moreover, the system is equipped
with a Kinect sensor. 
\item \label{itm:task-goal} The task of the system is to detect red cubes
moving on a conveyor having a white tape, at a velocity not greater than
0.05m/s. The cubes having dimensions of 3cm ±0.5cm have to be grasped and
placed on a palette 100cm x 100cm in a 25x25 arrangement. Other cubes should be
ignored. The operation of the conveyor is not controlled. The cubes are spread
far apart on the conveyer. The conveyor is not stopped when the robot grasps a
cube, thus the motion of the cube has to be taken into account during the
grasping operation.
\item \label{itm:task-conditions} The system starts its work when an empty
pallet is available and terminates it when the pallet is full. The START
command is issued when an empty pallet is made available and the STOP command
when it is full. The START and STOP commands informing about the state of the
pallet are issued by a separate agent that need not be specified here. 
\end{itemize}